html, body {
    margin: 0;
    padding: 0;
    border: 0;
    width: 100%;
    height: 100%;
    font-family: Verdana, Arial, serif;
}

/* Menu */
.menu {
    display: flex;
    align-items: center;
    padding: 17px;
    height: 70px;
    background-color: white;
    font-family: "Correction Brush", Arial, serif !important;
    user-select: none;
    color: black !important;
}

.name {
    position: relative;
    top: 7px;
    font-size: 26px;
    padding-left: 28px;
    font-weight: normal;
    opacity: 1 !important;
}

.no-wrap {
    white-space: nowrap;
}

.global-lang {
    position: absolute;
    right: 25px;
    top: 46px;
    text-transform: uppercase;
    font-size: 20px;
    font-family: Arial, Verdana, serif;
    user-select: none;
}

a {
    text-decoration: none;
    color: #333366;
}

.random-image {
    display: inline-block;
    padding: 0 20px 20px 20px;
}

.random-image img:hover {
    zoom: 101%;
}

.content {
    display: flex;
    justify-content: center;
    align-items: center;
    word-spacing: 1px;
    line-height: 25px;
}

.page-contact u {
    display: inline-block;
    color: darkcyan;
    cursor: pointer;
    margin-left: 6px;
}

.page-content {
    display: inline-block;
    margin: 10px auto;
    border-left: 5px solid #f4f4fd;
    border-right: 5px solid #f4f4fd;
    max-width: 600px;
    width: 100%;
    overflow: auto;
    padding : 20px;
    min-height: 150px;
    border-radius: 8px;
    font-family: Verdana, Arial, serif;
}

.page-contact p {
    user-select: none;
    padding: 10px 30px;
}

.global-lang a {
    color: #65a2c2;
    text-decoration: none;
    padding: 2px;
    outline: 2px solid #65a2c2;
}

/*  Scroll  */
.slider-block-content {
    width: 100%;
    height: 500px;
    white-space: nowrap;
    align-content: center;
    text-align: center;
    background-image: url("/images/code-bg.webp");
    background-color: #333366;
    padding: 0;
    margin: 0;
    border-top: 1px solid #222;
    border-bottom: 1px solid #222;
}

.slider-block-main {
    display: inline-block;
    min-width: 200px;
    height: 500px;
    overflow: hidden;
    position: relative;
    padding: 0;
    margin: 0;
    top: 2px;
    left: 0;
    visibility: hidden;
}

.slider-example {
    position: absolute;
    width: 100%;
    padding: 0;
    margin: 0;
    will-change: transform;
}

.slider-item {
    width: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    margin: 3px;
    object-fit: cover;
}

.slider-item:hover {
    zoom: 102%;
}

.menu-top-border {
    height: 20px;
    background-color: lavender;
    border-bottom: 1px solid #bfbfd2;
    border-top: 1px solid #f5f5fd;
}

a>u {
    color:#333366 !important;
}

.menu-selected {
    color: #CC3300 !important;
}

.slider-bottom-border {
    height: 20px;
    background-color: lavender;
}

/* Footer */
.footer-info {
    width: 100%;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    justify-content: flex-start;
    background-color: lavender;
    min-height: max-content;
    background-image: url('/images/bg-logo.png');
    background-position: right top;
    background-repeat: no-repeat;
}

.made-link {
    font-family: Verdana, Arial, serif;
    color: #333366;
    padding-bottom: 10px;
}

.made-link a {
    text-decoration: none;
    color: #CC3300;
}

.footer-right {
    display: block;
    background-color: lavender;
    text-align: right;
    padding: 5px 20px;
}

.footer-right span {
    display: inline-block;
    bottom: 20px;
    right: 10px;
    min-width: 220px;
}

.logo-container {
    margin-top: 12px;
    height: 40px;
}

.text-container {
    white-space: nowrap;
}

.extra-block {
    flex-basis: 100%;
    text-align: center;
    padding-top: 20px;
}

.extra-block a, .extra-block span {
    display: inline-block;
    text-decoration: none;
    margin: 10px;
    color: black;
    font-size: 25px;
    border-bottom: 2px solid transparent;
    transition: border-color 0.3s ease;
}

.extra-block a:hover {
    border-bottom: 2px solid black;
}

.site-content {
    min-height: calc(90% - 230px);
    vertical-align: top;
}

.footer-block {
    display: inline-block;
    padding: 10px 5px 15px 20px;
    font-family: "Correction Brush", Arial, serif !important;
    font-size: 16px;

}

.footer-link a {
    display: block;
    padding-top: 12px;
    color: #333366;
    text-decoration: none;
}

.footer-link a:hover {
    color: #CC3300;
}

.image-block {
    position: relative;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}

.image-block img {
    width: 100%;
    height: auto;
    display: block;
    max-width: max-content;
}

.image-block img {
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.image-name {
    font-weight: bold;
    text-align: center;
    margin-top: 25px;
    margin-bottom: 30px;
}

.gallery-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
    gap: 20px;
    padding: 10px;
    margin-top: 20px;
    margin-bottom: 80px;
}

.gallery-block {
    flex: 1 1 max-content;
    min-width: 200px;
    height: max-content;
    background-color: #f3f3f3;
    display: inline-block;
    display: flex;
    justify-content: center;
    align-items: center;
}

.gallery-block img:hover {
    zoom: 101%;
    cursor: pointer;
}


.galery-content-text {
    display: block;
    color: grey;
    padding: 5px;
    text-align: center;
}

.image-navigate {
    display: flex;
    justify-content: space-between;
    padding: 20px 0 20px 0;
    max-width: 400px;
    min-width: 240px;
}

.image-nav-block {
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-nav-left a,
.image-nav-right a {
    text-decoration: none;
    font-size: 35px;
    color: #a9a9b7;
    padding: 8px 15px;
    transition: color 0.3s;
}

.image-nav-left a:hover,
.image-nav-right a:hover {
    color: #1f77a6; /* Смена цвета текста при наведении */
}

.ex-blocks p {
    padding: 20px 0 30px 0;
    border-bottom: 2px solid lavender;
}

@media only screen and (max-width: 1000px) {

    .global-lang {
        right: 12px;
        top: 8px;
        padding: 2px;
        font-size: 18px;
    }
}

@media only screen and (max-width: 760px) {

    .extra-block a, .extra-block span {
        margin: 6px 10px;
        font-size: 21px;
    }
    .extra-block {
        padding-left: 15px;
    }
    .name {
        padding-left: 15px;
    }
}

@media only screen and (max-width: 640px) {
    .slider-block-left {
        display: none;
    }

    .page-content {
        border: 0;
        margin: 0;
        padding: 5px;
        min-width: 0;
    }

    .text-container {
        white-space: normal;
    }

    .extra-block a, .extra-block span {
        margin: 6px;
        font-size: 20px;
    }
}

@media only screen and (max-width: 460px) {
    .slider-block-right {
        display: none;
    }

    .menu {
        padding: 10px 10px 5px 30px;
        display: block;
        height: max-content;
    }
    .menu div {
        display: inline-block;
    }

    .logo-container img {
        width: 55px;
        height: 55px;
        margin-top: 5px;
        position: relative;
        top: 15px;
    }
    .extra-block a, .extra-block span {
        margin: 4px;
        font-size: 18px;
    }

    .gallery-block {
        flex-basis: 100%;
    }
}

@font-face {
    font-family: "Correction Brush";
    src: url("/fonts/CorrectionBrush.ttf");
    font-display: block;
}

